<template>
  <el-dialog
    :title="title"
    :visible.sync="modal"
    width="80%"
    @close="
      res => {
        $emit('cancel');
      }
    "
  >
    <span>这是一段信息</span>
    <span slot="footer" class="dialog-footer">
      <el-button @click="modal = false">取消</el-button>
      <el-button type="primary" @click="modal = false">确定</el-button>
    </span>
  </el-dialog>
</template>

<script>


export default {
  name: 'ItemModal',

  props: {
    id: {
      type: String,
      default: ''
    }
  },

  data() {
    return {
      modal: true,
      title: '',
    };
  },


  mounted() {
  },

  methods: {

};
</script>

<style lang="scss" scoped></style>
